
QGIS Application - Bug report #16872

QGIS 2.18.10 seg faults after clicking on "new project" when map legend contains layer duplicated 

witd CTRL+d&d

2017-07-15 12:30 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24771

Description

Add a layer (tested vector shapefiles)

"Duplicate" it with CTRL+d&d (in map legend) > see also #14677 if this has to be considered right or not

click on "new project" > discard > crash

QGIS master is not affected (at least on windows). 2.14.16 also affected, so if is a regression is not very recent.

History

#1 - 2017-08-08 12:29 AM - Jürgen Fischer

- Description updated

#2 - 2019-01-22 11:57 AM - salvatore fiandaca

I confirm the problem in QGIS 2.18.28 (win 10 64 b OSGeo4W).

I did the same test in QGIS 3.4.4, no problem.

#3 - 2019-01-22 12:03 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Therefore, fixed in current LTR. Thanks for testing.
